Index: CMakeLists.txt
===================================================================
--- CMakeLists.txt	(révision 35)
+++ CMakeLists.txt	(révision 36)
@@ -13,6 +13,8 @@
 # ./AstroMenace
 #
 
+CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
+
 # project name
 PROJECT(AstroMenace)
 
@@ -43,9 +45,12 @@
  IF(DEFINED DATADIR)
 	ADD_DEFINITIONS(-DDATADIR=\\"${DATADIR}\\")
  ENDIF(DEFINED DATADIR)
- ADD_DEFINITIONS(`${SDL_CONFIG} --cflags` -Wall)
+ EXEC_PROGRAM(${SDL_CONFIG} ARGS "--cflags" OUTPUT_VARIABLE SDL_CFLAGS)
+ EXEC_PROGRAM(${SDL_CONFIG} ARGS "--libs" OUTPUT_VARIABLE SDL_LIBS)
+
+ ADD_DEFINITIONS(${SDL_CFLAGS})
  ADD_EXECUTABLE(AstroMenace ${astromenace_SRCS})
- TARGET_LINK_LIBRARIES(AstroMenace `${SDL_CONFIG} --libs` ${OPENGL_gl_LIBRARY} ${OPENAL_LIBRARY} ${JPEG_LIBRARY} ${GLU_LIBRARY} -lalut -lvorbis -lvorbisfile)
+ TARGET_LINK_LIBRARIES(AstroMenace ${SDL_LIBS} ${OPENGL_gl_LIBRARY} ${OPENAL_LIBRARY} ${JPEG_LIBRARY} ${GLU_LIBRARY} -lalut -lvorbis -lvorbisfile)
  IF(CYGWIN)
 	TARGET_LINK_LIBRARIES(AstroMenace -lGL.dll  -lGLU.dll -lglfw -lX11.dll)
 #	ADD_DEFINITIONS(-mno-cygwin)
